using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;

namespace Dao.Implement
{
	public class SysAuthorityRepository : RepositoryBase<SysAuthority>, ISysAuthorityRepository
	{
		public override SysAuthority Get(object id)
		{
			return base.Get(id);
		}

		public SysAuthority Get(string name)
		{
			return this.LoadAll().FirstOrDefault(f => f.Name == name);
		}
	}
}
